﻿Imports GrapeCity.ActiveReports
Imports GrapeCity.ActiveReports.SectionReportModel
Imports System.Data.OleDb
Public Class Form1

    Dim conn As OleDbConnection
    Dim reader As OleDbDataReader
    Dim rpt As SectionReport
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        rpt = New SectionReport()

        'Adding Page Header/Footer sections
        rpt.Sections.InsertPageHF()
        rpt.Sections(0).BackColor = Color.LightGray

        'Adding Detail section
        rpt.Sections.Insert(1, New Detail())
        rpt.Sections(1).BackColor = Color.PeachPuff
        rpt.Sections(1).Height = 1.5F

        'Adding label to display first column's name
        Dim lblCategoryID As New GrapeCity.ActiveReports.SectionReportModel.Label()
        lblCategoryID.Location = New PointF(0, 0.05F)
        lblCategoryID.Text = "Category ID"
        lblCategoryID.Alignment = GrapeCity.ActiveReports.Document.Section.TextAlignment.Center
        lblCategoryID.Font = New System.Drawing.Font("Arial", 10, FontStyle.Bold)
        rpt.Sections(0).Controls.Add(lblCategoryID)

        'Adding label to display second column's name
        Dim lblCategoryName As New GrapeCity.ActiveReports.SectionReportModel.Label()
        lblCategoryName.Location = New PointF(1.459F, 0.05F)
        lblCategoryName.Size = New SizeF(1.094F, 0.2F)
        lblCategoryName.Text = "Category Name"
        lblCategoryName.Font = New System.Drawing.Font("Arial", 10, FontStyle.Bold)
        rpt.Sections(0).Controls.Add(lblCategoryName)

        'Adding label to display third column's name
        Dim lblDescription As New GrapeCity.ActiveReports.SectionReportModel.Label()
        lblDescription.Location = New PointF(3.114F, 0.05F)
        lblDescription.Text = "Description"
        lblDescription.Font = New System.Drawing.Font("Arial", 10, FontStyle.Bold)
        rpt.Sections(0).Controls.Add(lblDescription)

        'Adding label to display fourth column's name
        Dim lblPicture As New GrapeCity.ActiveReports.SectionReportModel.Label()
        lblPicture.Location = New PointF(5.219F, 0.05F)
        lblPicture.Alignment = GrapeCity.ActiveReports.Document.Section.TextAlignment.Center
        lblPicture.Text = "Picture"
        lblPicture.Font = New System.Drawing.Font("Arial", 10, FontStyle.Bold)
        rpt.Sections(0).Controls.Add(lblPicture)

        'Adding Textbox to display first column's records
        Dim txtCategoryID As New GrapeCity.ActiveReports.SectionReportModel.TextBox()
        txtCategoryID.Location = New PointF(0, 0)
        txtCategoryID.Alignment = GrapeCity.ActiveReports.Document.Section.TextAlignment.Center
        rpt.Sections(1).Controls.Add(txtCategoryID)

        'Adding Textbox to display second column's records
        Dim txtCategoryName As New GrapeCity.ActiveReports.SectionReportModel.TextBox()
        txtCategoryName.Location = New PointF(1.459F, 0)
        rpt.Sections(1).Controls.Add(txtCategoryName)

        'Adding Textbox to display third column's records
        Dim txtDescription As New GrapeCity.ActiveReports.SectionReportModel.TextBox()
        txtDescription.Location = New PointF(3.114F, 0)
        rpt.Sections(1).Controls.Add(txtDescription)

        'Adding Picture control to display image
        Dim picture As New Picture()
        picture.Location = New PointF(5.219F, 0)
        rpt.Sections(1).Controls.Add(picture)

        'Setting report's data source
        conn = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Users\stduser\Documents\ComponentOne Samples\ActiveReports Developer 7\Data\NWIND.mdb;Persist Security Info=False")
        Dim cmd As New System.Data.OleDb.OleDbCommand("SELECT * FROM Categories", conn)
        conn.Open()
        reader = cmd.ExecuteReader()
        rpt.DataSource = reader

        'Assigning DataField properties of controls in the detail section
        txtCategoryID.DataField = "CategoryID"
        txtCategoryName.DataField = "CategoryName"
        txtDescription.DataField = "Description"
        Picture.DataField = "Picture"

        rpt.Run()
        Me.Viewer1.Document = rpt.Document
        reader.Close()
        conn.Close()
    End Sub
End Class
